This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List Cloud Functions

1 - 1.4

get /v1/cloud-functions

Description

get cloud_functions list

State ACTIVE (CURRENT)

VersionNot Before
1.4-

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
Name
Example : sample-function-name
any of [string, null]None
querystate
optional
Cloud function state
Example : READY
any of [array[string], string, null]None
queryruntime
optional
Runtime
Example : Node.js:20
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionListResponseV1Dot4
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.4"

Example HTTP response

Response 200

{
    "cloud_functions": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-05-22T06:21:17.580522",
            "eots_date": "2026-05-31T14:59:59.999999Z",
            "eots_state": "APPLIED",
            "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
            "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "name": "sample",
            "runtime": "Node.js:20",
            "state": "READY",
            "user_id": "617b3d0e90c24a5fa1f65a3824861354"
        }
    ],
    "count": 20
}

2 - 1.3

get /v1/cloud-functions

Description

get cloud_functions list

State ACTIVE (SUPPORTED)

VersionNot Before
1.320260830

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
Name
Example : sample-function-name
any of [string, null]None
querystate
optional
Cloud function state
Example : READY
any of [array[string], string, null]None
queryruntime
optional
Runtime
Example : Node.js:20
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.3"

Example HTTP response

Response 200

{
    "cloud_functions": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-05-22T06:21:17.580522",
            "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
            "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "name": "sample",
            "runtime": "Node.js:20",
            "state": "READY",
            "user_id": "617b3d0e90c24a5fa1f65a3824861354"
        }
    ],
    "count": 20
}

3 - 1.2

get /v1/cloud-functions

Description

get cloud_functions list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.220260630

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
Name
Example : sample-function-name
any of [string, null]None
querystate
optional
Cloud function state
Example : READY
any of [array[string], string, null]None
queryruntime
optional
Runtime
Example : Node.js:20
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "cloud_functions": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-05-22T06:21:17.580522",
            "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
            "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "name": "sample",
            "runtime": "Node.js:20",
            "state": "READY",
            "user_id": "617b3d0e90c24a5fa1f65a3824861354"
        }
    ],
    "count": 20
}

4 - 1.1

get /v1/cloud-functions

Description

get cloud_functions list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
Name
Example : sample-function-name
any of [string, null]None
querystate
optional
Cloud function state
Example : READY
any of [array[string], string, null]None
queryruntime
optional
Runtime
Example : Node.js:20
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "cloud_functions": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-05-22T06:21:17.580522",
            "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
            "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "name": "sample",
            "runtime": "Node.js:20",
            "state": "READY",
            "user_id": "617b3d0e90c24a5fa1f65a3824861354"
        }
    ],
    "count": 20
}

5 - 1.0

get /v1/cloud-functions

Description

get cloud_functions list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
Name
Example : sample-function-name
any of [string, null]None
querystate
optional
Cloud function state
Example : READY
any of [array[string], string, null]None
queryruntime
optional
Runtime
Example : Node.js:20
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "cloud_functions": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-05-22T06:21:17.580522",
            "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
            "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "name": "sample",
            "runtime": "Node.js:20",
            "state": "READY",
            "user_id": "617b3d0e90c24a5fa1f65a3824861354"
        }
    ],
    "count": 20
}